Bug 1082318 - [REGRESSION] can't find command 'devicetree' (for installing new kernels)
[REGRESSION] can't find command 'devicetree' (for installing new kernels)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
22
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-30 06:50 EDT by Igor Gnatenko
Modified: 2016-03-27 11:13 EDT (History)
7 users (show)

See Also:
Fixed In Version: grubby-8.33-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 11:13:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2014-03-30 06:50:17 EDT
Description of problem:
I can't boot in new installed kernels after updating grubby.

Version-Release number of selected component (if applicable):
grubby-8.31-1.fc21.x86_64

How reproducible:
100%

Steps to Reproduce:
1. yum --enablerepo=koji update grubby
2. yum --enablerepo=koji update kernel\*
3. reboot

Actual results:
error: file '/vmlinuz-3.14.0-0.rc8.git1.1.fc21.x86_64' not found.
error: can't find command 'devicetree'.
error: you need to load the kernel first.

Expected results:
Boot ok
Comment 1 Kevin Fenzi 2014-03-31 13:13:09 EDT
I see this here too: 

The new entry it added is: 

menuentry 'Fedora (3.14.0-1.fc21.x86_64) 21 (Rawhide)' --class gnu-linux --class gnu --class os {
        linuxefi /vmlinuz-3.14.0-1.fc21.x86_64 root=/dev/mapper/fedora-root LANG=en_US.UTF-8
        devicetree --copy-default
        initrdefi /initramfs-3.14.0-1.fc21.x86_64.img
}
Comment 2 darrell pfeifer 2014-03-31 16:45:35 EDT
The updated grubby 8.32-1 results in 

/sbin/new-kernel-pkg: line 156: [: argument expected
Comment 3 Filipe Rosset 2014-04-01 01:15:09 EDT
same issue here:

http://postimg.org/image/84t78ka7d/
http://postimg.org/image/cw3u9dy21/
Comment 4 darrell pfeifer 2014-04-01 11:05:11 EDT
The 8.33 version no longer has the "argument expected" problem. It still produces a devicetree paragraph and that still fails with the original error on boot.
Comment 5 Adam Williamson 2014-04-01 11:42:50 EDT
as long as you have a busted entry as the top entry in grubby, this will be broken. you need to remove all the busted entries in the file or/and re-generate the file with grub2-mkconfig .

grubby works by copying the existing top entry and then tweaking it, so if that entry's broken, grubby will never produce a working one.
Comment 6 darrell pfeifer 2014-04-01 11:52:57 EDT
Thanks. Forgot about that.

Works as expected now.
Comment 7 Jaroslav Reznik 2015-03-03 12:12:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 8 Igor Gnatenko 2016-03-27 11:13:27 EDT
It's already arrived in updates.

Note You need to log in before you can comment on or make changes to this bug.